Workers
Delete Worker Config
Delete a worker configuration from every configured datacenter.
A failure can occur after the configuration has already been deleted from some datacenters.
DELETE https://api.rivet.dev/runner-configs/{runner_name}
Examples
curl -X DELETE "https://api.rivet.dev/runner-configs/$RUNNER_NAME?namespace=$RIVET_NAMESPACE" \
-H "Authorization: Bearer $RIVET_TOKEN"
const endpoint = "https://api.rivet.dev";
const namespace = process.env.RIVET_NAMESPACE ?? "default";
const token = process.env.RIVET_TOKEN ?? "";
const workerName = process.env.RUNNER_NAME ?? "default";
const params = new URLSearchParams({ namespace });
const response = await fetch(
`${endpoint}/runner-configs/${encodeURIComponent(workerName)}?${params}`,
{ method: "DELETE", headers: { Authorization: `Bearer ${token}` } },
);
console.log(response.ok);
export {};
Authentication
Send your namespace token as a bearer token in the Authorization header. Every control plane request also requires the namespace query parameter. See Authentication.
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
runner_name | string | Yes | Name of the worker pool whose configuration will be deleted. |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
namespace | string | Yes | Name of the namespace to operate in. |
Responses
200
The configuration was deleted.
{}